Chat now with support
Chat with Support

Foglight 5.7.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrade the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploy an agent package using the browser interface

Prepare for an upgrade

Preparing for a Foglight upgrade is straightforward, but may be time-consuming. Before upgrading you should:

Upgrade order

Foglight components should be upgraded in the following order:

Step 1 may require some time, because agents may need time to reconnect.

In some cases, a successful step 1 may require one or more cartridge upgrades. Where special instructions are required, they are documented in this guide.

Only perform steps 3 and 4 after the system has stabilized.

Where to find upgrade information

For information on how to upgrade the Management Server, see Upgrade the Foglight Management Server.

For information on how to upgrade the Agent Manager, see Upgrade the Foglight Agent Manager.

For information on how to upgrade Foglight cartridges, see:

Update the Java Runtime Environment

Both the Management Server and the Agent Manager require a Java® Runtime Environment. Quest Software Inc. tests and bundles each Foglight release with versions of the JRE that are compatible with the Management Server and the Agent Manager. Quest audits the security bulletins from Oracle® that are related to those versions of the JRE. If Quest determines that any of the bulletins are applicable to the Management Server or Agent Manager code, Quest releases a security update with the necessary fixes incorporated.

Quest recommends that you use the JRE versions bundled with the Foglight release, because Quest cannot guarantee that other versions of the JRE will perform correctly. However, Quest recognizes that you may have particularly stringent security requirements that require you to use a different version of the JRE.

If you must upgrade a version of the JRE, Quest will make the effort, in good faith, to support the upgrade, as long as it meets the following guidelines:

b
In the jre subdirectory of your Agent Manager installation directory, create a new directory named for the version number of the JRE to which you want to upgrade, with components separated by periods (for example, 1.8.0.25).
b
Rename <foglight_home>/jre to <foglight_home>/jre.bak.
c
Create a new <foglight_home>/jre directory.
d
Unpack the new JRE into the new <foglight_home>/jre directory.
Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating